Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content
Interface ContentManager

All Known Subinterfaces:
  DocumentManager

public interface ContentManager
extends javax.ejb.EJBObject

A front-end session bean for dealing with Content.

See Also:
  `ContentManagerHome`

Method Summary
`java.util.Enumeration` | `getContent(Search params)` Get an Enumeration of Content objects that match the search parameters.
`java.util.Enumeration` | `getContent(Search params, boolean readOnly)` Deprecated. Use getContent(Search) instead
`java.util.Collection` | `getContentIds(Search params)` Get a collection of string content ids that match the search parameters.
`PropertySet` | `getPropertySet(java.lang.String name)` Get a named content PropertySet from this manager.
`java.lang.String[]` | `getPropertySetNames()` Get the list of all property set names known by this manager.
`java.util.Map` | `getPropertySets()` Get a map of property set name to PropertySet of all content PropertySets from this manager.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getContent

    public java.util.Enumeration getContent(Search params,
                                            boolean readOnly)
                                     throws java.rmi.RemoteException

  Deprecated. Use getContent(Search) instead
  Get an Enumeration of Content object that match the seach parameters.

  Parameters:
    `params` - the search paramters.
    `readOnly` - true to return read-only version of the Content objects, false to return the live EJBs.
  Returns:
    the enumeration of matching Content objects.
  Throws:
    java.rmi.RemoteException - thrown on an error.

### getContent

    public java.util.Enumeration getContent(Search params)
                                     throws java.rmi.RemoteException

  Get an Enumeration of Content objects that match the search parameters.

  Parameters:
    `params` - the search paramters.
  Returns:
    the enumeration of matching Content objects.
  Throws:
    java.rmi.RemoteException - thrown on an error.

### getContentIds

    public java.util.Collection getContentIds(Search params)
                                       throws java.rmi.RemoteException

  Get a collection of string content ids that match the search parameters.

  Parameters:
    `params` - the search paramters.
  Returns:
    the collection of matching string content ids.
  Throws:
    java.rmi.RemoteException - thrown on an error.

### getPropertySet

    public PropertySet getPropertySet(java.lang.String name)
                               throws java.rmi.RemoteException

  Get a named content PropertySet from this manager.

  Throws:
    java.rmi.RemoteException - thrown on an error.

### getPropertySets

    public java.util.Map getPropertySets()
                                  throws java.rmi.RemoteException

  Get a map of property set name to PropertySet of all content PropertySets from this manager.

  Throws:
    java.rmi.RemoteException - thrown on an error.

### getPropertySetNames

    public java.lang.String[] getPropertySetNames()
                                           throws java.rmi.RemoteException

  Get the list of all property set names known by this manager.

  Throws:
    java.rmi.RemoteException - thrown on an error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved